package net.rutles.datetime;

import java.util.Calendar;
import android.app.Activity;
import android.app.DatePickerDialog;
import android.app.TimePickerDialog;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.TimePicker;

public class Datetime extends Activity 
	implements OnClickListener {
	
	private EditText editText;
	private Button button1, button2;
	private DatePickerDialog.OnDateSetListener myDateSetListener;
	private TimePickerDialog.OnTimeSetListener myTimeSetListener;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		editText = (EditText) findViewById(R.id.EditText01);
		button1 = (Button) findViewById(R.id.Button01);
		button2 = (Button) findViewById(R.id.Button02);

		button1.setOnClickListener(this);
		button2.setOnClickListener(this);

		myDateSetListener = 
			new DatePickerDialog.OnDateSetListener(){
			public void 
			onDateSet(DatePicker view, int year,int monthOfYear, int dayOfMonth){
				editText.setText(year + "/" + (monthOfYear + 1) + "/" + dayOfMonth);
			}
		};

		myTimeSetListener =
			new TimePickerDialog.OnTimeSetListener() {
			public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
				editText.setText(hourOfDay + ":" + minute);
			}
		};
		
	}

	@Override
	public void onClick(View v) {
		// TODO Auto-generated method stub
		
		if(v == button1){
			Calendar calendar = Calendar.getInstance();
			DatePickerDialog dateDialog = new DatePickerDialog(
				this,
				myDateSetListener,
				calendar.get(Calendar.YEAR),
				calendar.get(Calendar.MONTH),
				calendar.get(Calendar.DAY_OF_MONTH));
			dateDialog.show();
		} else 
		if(v == button2){
			Calendar calendar = Calendar.getInstance();
			TimePickerDialog timeDialog = new TimePickerDialog(
				this,
				myTimeSetListener,
				calendar.get(Calendar.HOUR_OF_DAY),
				calendar.get(Calendar.MINUTE),
				false);
			timeDialog.show();
		}
	}
}